Package com.castlabs.android.exoplayer2.ext.amlnativeplayer

## Class IPTVPlugin

- java.lang.Object
- - com.castlabs.android.Plugin
  - - com.castlabs.android.exoplayer2.ext.amlnativeplayer.IPTVPlugin

-     public class IPTVPlugin
      extends Plugin

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IPTVPlugin()` |
    `IPTVPlugin​(boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes)` | Create a new instance of this plugin using the default RTP Queue Size.
    `IPTVPlugin​(boolean doesVideoUseSharedMemory, boolean doesAudioUseSharedMemory, int videoSharedMemorySizeInBytes, int audioSharedMemorySizeInBytes, int rtpQueueSizeInPackets)` | Create a new instance of this plugin using the default configuration.
    `IPTVPlugin​(boolean playsClearWithExo, int rtpQueueSizeInPackets)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId()` |

    - ### Methods inherited from class com.castlabs.android.Plugin

      `init, onRemotePlay`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPTVPlugin

          public IPTVPlugin​(boolean doesVideoUseSharedMemory,
                            boolean doesAudioUseSharedMemory,
                            int videoSharedMemorySizeInBytes,
                            int audioSharedMemorySizeInBytes)

      Create a new instance of this plugin using the default RTP Queue Size.
      Parameters:
        `doesVideoUseSharedMemory` - Whether Video in Plugin Uses Shared Memory
        `doesAudioUseSharedMemory` - Whether Audio in Plugin Uses Shared Memory
        `videoSharedMemorySizeInBytes` - Size of Video Shared Memory to be allocated in Bytes
        `audioSharedMemorySizeInBytes` - Size of Audio Shared Memory to be allocated in Bytes

    - #### IPTVPlugin

          public IPTVPlugin​(boolean doesVideoUseSharedMemory,
                            boolean doesAudioUseSharedMemory,
                            int videoSharedMemorySizeInBytes,
                            int audioSharedMemorySizeInBytes,
                            int rtpQueueSizeInPackets)

      Create a new instance of this plugin using the default configuration.
      Parameters:
        `doesVideoUseSharedMemory` - Whether Video in Plugin Uses Shared Memory
        `doesAudioUseSharedMemory` - Whether Audio in Plugin Uses Shared Memory
        `videoSharedMemorySizeInBytes` - Size of Video Shared Memory to be allocated in Bytes
        `audioSharedMemorySizeInBytes` - Size of Audio Shared Memory to be allocated in Bytes
        `rtpQueueSizeInPackets` - Size of RTP Data Queue in Number of Packets

    - #### IPTVPlugin

          public IPTVPlugin​(boolean playsClearWithExo,
                            int rtpQueueSizeInPackets)

    - #### IPTVPlugin

          public IPTVPlugin()

  - ### Method Detail

    - #### getId

          @NonNull
          public String getId()

      Specified by:
        `getId` in class `Plugin`